org.keycloak.services.resources.admin

## Class ClientScopeEvaluateResource.ProtocolMapperEvaluationRepresentation

- java.lang.Object
- - org.keycloak.services.resources.admin.ClientScopeEvaluateResource.ProtocolMapperEvaluationRepresentation

- Enclosing class:
    ClientScopeEvaluateResource

      public static class ClientScopeEvaluateResource.ProtocolMapperEvaluationRepresentation
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolMapperEvaluationRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContainerId()`
    `String` | `getContainerName()`
    `String` | `getContainerType()`
    `String` | `getMapperId()`
    `String` | `getMapperName()`
    `String` | `getProtocolMapper()`
    `void` | `setContainerId(String containerId)`
    `void` | `setContainerName(String containerName)`
    `void` | `setContainerType(String containerType)`
    `void` | `setMapperId(String mapperId)`
    `void` | `setMapperName(String mapperName)`
    `void` | `setProtocolMapper(String protocolMapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolMapperEvaluationRepresentation

          public ProtocolMapperEvaluationRepresentation()

  - ### Method Detail

    - #### getMapperId

          public String getMapperId()

    - #### setMapperId

          public void setMapperId(String mapperId)

    - #### getMapperName

          public String getMapperName()

    - #### setMapperName

          public void setMapperName(String mapperName)

    - #### getContainerId

          public String getContainerId()

    - #### setContainerId

          public void setContainerId(String containerId)

    - #### getContainerName

          public String getContainerName()

    - #### setContainerName

          public void setContainerName(String containerName)

    - #### getContainerType

          public String getContainerType()

    - #### setContainerType

          public void setContainerType(String containerType)

    - #### getProtocolMapper

          public String getProtocolMapper()

    - #### setProtocolMapper

          public void setProtocolMapper(String protocolMapper)

Copyright © 2021 JBoss by Red Hat. All rights reserved.